package com.energy.manage.common.base;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author shiyue
 */
@Data
public class BaseDomainWithUser extends NewBaseDomain {

    /*
     * 创建人
     */
    private Integer createBy;

    /*
     * 创建人名称
     */
    private String createUser;

    /*
     * 更新人
     */
    private Integer updateBy;

    /*
     * 更新人名称
     */
    private String updateUser;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 用户角色
     */
    private Integer roleId;
}
