package com.energy.manage.common.constant;

import java.nio.charset.Charset;

/**
 * Created by edz on 2017/3/8.
 */
public class Constants {

  /**
   * 可用状态码
   */
  // 未启用
  public static final int GLOBAL_NOT_USE = 0;
  // 正常启用中
  public static final int GLOBAL_IN_USE = 1;
  // 禁用状态
  public static final int GLOBAL_DISABLE = 2;

  /**
   * 默认分隔符
   */
  public static final String GLOBAL_SEGMENTATION_SYMBOLS = ",";

  /**
   * 默认头像
   */
  public static final String GLOBAL_STUDENT_DEFAULT_PHOTO = "";
  public static final String GLOBAL_TEACHER_DEFAULT_PHOTO = "";

  /**
   * 默认、初始密码
   */
  public static final String GLOBAL_DEFAULT_PWD = "123456";

  //课程类型默认图片
  public static final String GLOBAL_PYTHON_IMG_URL = "";
  public static final String GLOBAL_SCRATCH_IMG_URL = "";

  public static final String YYYY_MM_DD = "yyyy-MM-dd";
  public static final String YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";
  public static final String YYYYMMDD = "yyyyMMdd";
  public static final String YYYYMM = "yyyyMM";
  public static final String YYYY_MM = "yyyy-MM";

  public static final String CREATE_EXCEL_TYPE_OSS = "oss";
  public static final String CREATE_EXCEL_TYPE_FILE = "file";

  public static final int REDEEM_CODE_TYPE_LOGIN= 0; //登录
  public static final int REDEEM_CODE_TYPE_SIGN_UP = 1; //补全信息

  /*常量~*/
  public static final String ENCODING = Charset.forName("UTF-8").name();

  public static final String ZERO = ",0";


  public static final boolean APPLICATION_DEV_PROD_MESS = false; // true:生产环境    false：开发环境

  public static final int IS_DELETED = 1;

  public static final int FULL_PROPORTION = 100;



}
