package com.energy.manage.common.po.analysis;

/**
 * 分析操作记录
 * @author chy
 * @date 2024/6/15 14:08
 * @desc
 */

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

@Table(name = "analysis_option_records")
@Data
@Accessors(chain = true)
public class AnalysisOptionRecordsPo {

    private Long id;

    /**
     * 操作内容
     */
    private String optionContent;

    /**
     * 操作人id
     */
    private Integer optionBy;

    /**
     * 操作人名称
     */
    private String optionByName;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
}
