package com.energy.manage.common.po.anemometertower;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 测风塔数据表
 */
@Data
@Table(name = "anemometer_tower_data")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AnemometerTowerDataPO extends NewBaseDomain {

    /**
     * 测风塔编号
     */
    private String towerCode;
    /**
     * 采集数据时间
     */
    private String time;
    /**
     * 层高类型
     */
    private String heightType;
    /**
     * 层高名称
     */
    private String heightName;
    /**
     * 实测风速
     */
    private String windSpeed;
    /**
     * 实测温度
     */
    private String temperature;
    /**
     * 实测气压
     */
    private String pressure;
    /**
     * 实测雨量
     */
    private String rainfall;
    /**
     * 大气密度
     */
    private String density;
    /**
     * 状态
     */
    private String state;
    /**
     * 删除状态
     */
    private String delState;


}
