package com.energy.manage.common.po.detectionpointdic;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Table(name = "detection_point_dic")
@Data
@Accessors(chain = true)
public class DetectionPointDicPo {

    /**
     * 唯一标识
     */
    private Integer id;

    /**
     * 测点中文名称
     */
    private String detectionPointCn;

    /**
     * 测点英文名称
     */
    private String detectionPointEn;

    /**
     * 驱动模式 1.双馈  2.直驱  3.半直驱（格式：1,2 或 1,2,3 多个用英文逗号隔开）
     */
    private String driveMode;


}
