package com.energy.manage.common.po.system;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;


/**
 * 用户角色表
 *
 * @author sy
 * @date 2021-10-18 13:10:52
 */
@Table(name = "sys_user_role")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUserRolePO {


    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 角色表主键id
     */
    private Integer roleId;
}
