package com.energy.manage.common.po.system;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Table(name = "system_role")
@EqualsAndHashCode(callSuper = false)
@Data
@Accessors(chain = true)
public class SystemRolePO extends NewBaseDomain {

    private String roleName;

    private String roleCode;

    private String roleDescription;

    private Integer roleType;

    private Integer roleAvailable;

}
