package com.energy.manage.common.po.units;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 主轴
 */
@Data
@Table(name = "unit_bearings")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitBearingsPO extends NewBaseDomain {

    /**
     * 主轴部件编号;主轴部件编号
     */
    private String code;
    /**
     * 机型编号
     */
    private String millTypeCode;
    /**
     * 润滑油品牌
     */
    private String lubricantBrand;
    /**
     * 润滑油型号
     */
    private String lubricantModel;
    /**
     * 前轴承品牌
     */
    private String frontBearingBrand;
    /**
     * 前轴承型号
     */
    private String frontBearingModel;
    /**
     * 后轴承品牌
     */
    private String rearBearingBrand;
    /**
     * 后轴承型号
     */
    private String rearBearingModel;
    /**
     * 删除状态;删除状态
     */
    private Integer delState;

}
