package com.energy.manage.common.po.units;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 齿轮箱轴承表
 */
@Data
@Table(name = "unit_gearbox_bearings")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitGearboxBearingsPO extends NewBaseDomain {

    /**
     * 齿轮箱编号
     */
    private String gearboxCode;
    /**
     * 齿轮箱轴承类型
     */
    private Integer parallelWheelGrade;
    /**
     * 齿轮箱轴承编号
     */
    private String gearboxBearingNumber;
    /**
     * 齿轮箱轴承级别
     */
    private String gearboxBearingLevel;
    /**
     * 轴承品牌
     */
    private String bearingBrand;
    /**
     * 轴承型号
     */
    private String bearingModel;
    /**
     * 齿圈齿数
     */
    private String gearRingTeethCount;
    /**
     * 轴承-RS品牌
     */
    private String bearingRsBrand;
    /**
     * 轴承-RS型号
     */
    private String bearingRsModel;
    /**
     * 轴承-GS品牌
     */
    private String bearingGsBrand;
    /**
     * 轴承-GS型号
     */
    private String bearingGsModel;


}
