package com.energy.manage.common.po.units;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 齿轮箱总表
 */
@Data
@Table(name = "unit_gearbox")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitGearboxPO extends NewBaseDomain {

    /**
     * 部件编号
     */
    private String code;
    /**
     * 机型编号
     */
    private String millTypeCode;
    /**
     * 润滑油品牌
     */
    private String lubricantBrand;
    /**
     * 润滑油型号
     */
    private String lubricantModel;
    /**
     * 是否删除
     */
    private Integer delState;
}
