package com.energy.manage.common.po.wavetransferhistory;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

@Table(name = "wave_data_transfer_histoty")
@Data
@Accessors(chain = true)
public class WaveDataTransferHistoryPo {

    /**
     * 唯一标识
     */
    private Long id;

    /**
     * 转换地址
     */
    private String transferAddr;

    /**
     * 转换开始时间
     */
    private Date transferStartTime;

    /**
     * 转换结束时间
     */
    private Date transferFinishTime;

    /**
     * 操作人
     */
    private Integer optionBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 异常编码
     */
    private String errCode;

    /**
     * 异常信息
     */
    private String errInfo;
}
