package com.energy.manage.common.po.windfield;

import com.energy.manage.common.base.NewBaseDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 风场信息
 */
@Data
@Table(name = "wind_field_contract")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindFieldContractPO extends NewBaseDomain {

    /**
     * 机型code
     */
    private String millTypeCode;

    private String machineTypeCode;

    /**
     * 风场code
     */
    private String fieldCode;

    /**
     * 资源地址
     */
    private String contractSource;

    /**
     * 删除状态
     */
    private Integer delState;


    /**
     * 覆盖id
     */
    private Integer coverId;




}
