package com.energy.manage.common.po.windfield;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Data
@Table(name = "wind_field_resource")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindFieldResourcePO extends NewBaseDomain {


    /**
     * 风场编号
     */
    private String fieldCode;
    /**
     * 上传文件名称
     */
    private String fileName;
    /**
     * 上传类型
     */
    private String type;
    /**
     * 上传文件地址
     */
    private String resourceUrl;



}
