package com.energy.manage.service.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

/**
 * @author chy
 * @date 2024/7/31 15:38
 * @desc
 */
@Data
@Configuration
@RefreshScope
public class AnalysisTypeConfig {

    @Value("${analysis.type.config}")
    private String analysisTypeConfig;
}
