package com.energy.manage.service.config;


import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Data
@Slf4j
@Component
@Configuration
public class TemplateConfig {

    @Value("${template.bzpower}")
    private String bzPower;

    @Value("${template.htpower}")
    private String htPower;

    @Value("${template.field}")
    private String field;

    @Value("${template.draught}")
    private String draught;


}
