package com.energy.manage.service.constant.analysis;

/**
 * 分析状态类
 * @author chy
 * @date 2024/7/22 10:10
 * @desc
 */
public interface AnalysisStatusConstants {

    /**
     * 未分析状态
     */
    Integer NO_ANALYSISED_STATE = -1;

    /**
     * 排队中
     */
    Integer ANALYSIS_QUEUE_STATE = 10;

    /**
     * 分析中状态
     */
    Integer ANALYSISING_STATE = 20;

    /**
     * 分析完成状态
     */
    Integer ANALYSISED_STATE = 30;

}
