package com.energy.manage.service.controller.analysisresultreport;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.domain.dto.analysis.AnalysisResultReportDto;
import com.energy.manage.service.domain.vo.analysis.AnalysisResultReportVo;
import com.energy.manage.service.service.analysis.AnalysisResultReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author chy
 * @date 2024/9/20 18:17
 * @desc
 */
@RestController
@RequestMapping("/analysisResultReport")
public class AnalysisResultReportController extends BaseServiceController {


    @Autowired
    private AnalysisResultReportService analysisResultReportService;

    @PostMapping("/saveReportBatch")
    public ResultResp saveReportBatch(@RequestBody List<AnalysisResultReportVo> reportVoList)
    {
        return success(analysisResultReportService.saveReportBatch(reportVoList));
    }

    @GetMapping("/getRportType")
    public ResultResp getRportType()
    {
        return success(analysisResultReportService.getRportType());
    }

}
