package com.energy.manage.service.domain.dto.WindFieldContract;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WindFieldContractAddDto {

    /**
     * 机型code
     */
    @ApiModelProperty(value = "机型code")
    private String millTypeCode;
    /**
     * 风场code
     */
    @ApiModelProperty(value = "风场code")
    private String fieldCode;

    @ApiModelProperty(value = "机型")
    private String machineTypeCode;

    /**
     * 资源地址
     */
    @ApiModelProperty(value = "资源地址")
    private String contractSource;


    @ApiModelProperty(value = "覆盖id")
    private Integer coverId;


    @ApiModelProperty(value = "创建人")
    private Integer createBy;


}
