package com.energy.manage.service.domain.dto.analysis;

import com.energy.manage.service.domain.dto.analysisalgorithm.DataContractDto;
import com.energy.manage.service.domain.dto.analysisalgorithm.DataContractTypeDto;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 调用分析算法的入参
 * @author chy
 * @date 2024/5/30 13:50
 * @desc
 */
@Data
@Accessors(chain = true)
public class AnalysisAlgorithmDto {

    /**
     * 算法版本号
     */
    private DataContractTypeDto dataContractType = new DataContractTypeDto();

    /**
     * 分析参数
     */
    private DataContractDto dataContract = new DataContractDto();

}
