package com.energy.manage.service.domain.dto.analysis;

import lombok.Data;

import java.util.List;

/**
 * 分析富文本描述
 * @author chy
 * @date 2024/5/23 12:56
 * @desc
 */
@Data
public class AnalysisCommentDescriptionDto {


    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode ;

    /**
     * 类型与描述
     */
    private List<CommentDto> commentList ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 更新人
     */
    private Integer updateBy ;
}
