package com.energy.manage.service.domain.dto.analysisalgorithm;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 算法入参
 * @author chy
 * @date 2024/5/30 13:53
 * @desc
 */
@Data
@Accessors(chain = true)
public class DataContractDto {

    /**
     * automatic 表示自动触发；manual 表示人工触发
     */
    private String autoOrManual = null ;

    /**
     * 数据源 : scada数据 、测风塔、事件
     */
    private DataSourceDto dataSource = new DataSourceDto();

    /**
     * 数据过滤
     */
    private DataFilterDto dataFilter = new DataFilterDto();

    /**
     * 配置分析类型
     */
    private List<ConfigAnalysisDto> configAnalysis;

    /**
     * 图像设置
     */
    private GraphSetsDto graphSets;

}
