package com.energy.manage.service.domain.dto.anemometertower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 删除测风塔
 */
@Getter
@Setter
@ApiModel("删除测风塔")
public class AnemometerTowerDelDto {

    /**
     * 测风塔编号
     */
    @NotNull(message = "测风塔名称不能为null")
    @ApiModelProperty("测风塔编号")
    private String anemometerCode;


}
