package com.energy.manage.service.domain.dto.anemometertower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 *
 * 测风塔高度参数
 */
@Getter
@Setter
@ApiModel("测风塔高度参数")
public class AnemometerTowerHeightDto {


    @ApiModelProperty("测风塔高度")
    private List<AnemometerTowerHeightDto> list;


    @Getter
    @Setter
    public static class AnemometerTowerHeightListDto {

        /**
         * 测风塔编号
         */
        @ApiModelProperty("测风塔编号")
        private String anemometerCode;
        /**
         * 测风塔高度
         */
        @ApiModelProperty("测风塔高度")
        private Double anemometerHeight;


    }


}
