package com.energy.manage.service.domain.dto.anemometertower;

import com.energy.manage.service.domain.dto.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询测风塔分页信息
 */
@Getter
@Setter
@ApiModel("查询测风塔分页信息")
public class AnemometerTowerPageDto extends BaseDto {


    @ApiModelProperty("测风塔编号")
    private String anemometerCode;


    /**
     * 测风塔名称
     */
    @ApiModelProperty("测风塔名称")
    private String anemometerName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

}
