package com.energy.manage.service.domain.dto.anemometertower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 添加测风塔
 */
@Getter
@Setter
@ApiModel
public class AnemometerTowerUpdateDto {

    /**
     * 测风塔编号
     */
    @ApiModelProperty("测风塔编号")
    private String anemometerCode;
    /**
     * 测风塔名称
     */
    @ApiModelProperty("测风塔名称")
    private String anemometerName;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private Double latitude;


    @ApiModelProperty("测风塔高度")
    private List<AnemometerTowerHeightListDto> anemometerTowerHeightListDtos;


    @Getter
    @Setter
    public static class AnemometerTowerHeightListDto {

        /**
         * 测风塔高度
         */
        @ApiModelProperty("测风塔高度")
        private Double anemometerHeight;


    }


}
