package com.energy.manage.service.domain.dto.datatransfer;

import com.energy.manage.service.domain.dto.BaseDto;
import com.energy.manage.service.util.BeanMapUtils;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/21 18:10
 * @desc
 */
@Data
@Accessors(chain = true)
public class DataTransferDto extends BaseDto {

    /**
     * 批次编号
     */
    private String batchCode;

    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 转换状态
     */
    private Integer transferState;

    /**
     * 登录用户的角色id
     */
    private Integer roleId;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 路径地址集合
     */
    List<DataTransferTypePathDto> dataTransferTypePathDtoList;

    @Override
    public String toString(){
        return BeanMapUtils.beanToMap(this).toString();
    }
}
