package com.energy.manage.service.domain.dto.system;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 组织权限参数
 */
@Getter
@Setter
public class RoleUpdateOrganizationDto {

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "组织架构权限id集合")
    private List<OrganizationCode> organizationCodes;


    @Getter
    @Setter
    public static class OrganizationCode{

        /**
         * 编号
         */
        @ApiModelProperty(value = "编号")
        private String codeNumber;

        /**
         * 类型
         */
        @ApiModelProperty(value = "类型")
        private String codeType;

    }



}
