package com.energy.manage.service.domain.dto.units;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("创建部件品牌参数")
public class UnitDictBrandModelDto {

    // 部件类型
    @ApiModelProperty("部件类型")
    @NotNull(message = "部件类型不能为空")
    private Integer unitType;

    //  品牌
    @ApiModelProperty("品牌")
    private String manufacture;

    //  型号
    @ApiModelProperty("型号")
    private  String modelNumber;

    //  描述
    @ApiModelProperty("描述")
    private  String description;

}
