package com.energy.manage.service.domain.dto.units;

import com.energy.manage.service.domain.dto.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("风机部件品牌分页参数")
public class UnitDictBrandModelPageDto extends BaseDto {

    /**
     * 部件类型（字典表）：1..轴承2.润滑油3.冷却方式
     */
    @ApiModelProperty("部件类型")
    private Integer contentsDictKey;

    //品牌
    @ApiModelProperty("品牌")
    private String manufacture;

    //型号
    @ApiModelProperty("型号")
    private  String modelNumber;

}
