package com.energy.manage.service.domain.dto.units;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("风机部件字典删除参数")
public class UnitDictConstantsDelDto {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键id")
    @NotNull(message = "主键id不能为空")
    private Integer id;


    // 字典/属性类型编号
    @ApiModelProperty("字典/属性类型编号")
    @NotNull(message = "字典/属性类型编号不能为空")
    private String contentsType;


    @ApiModelProperty(value = "修改人")
    private Integer updateBy;

}
