package com.energy.manage.service.domain.dto.units;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("风机部件字典（属性）集合参数")
public class UnitDictConstantsListDto {

    // 字典/属性类型编号
    @ApiModelProperty("字典/属性类型编号")
    @NotNull(message = "字典/属性类型编号不能为空")
    private String contentsType;
}
