package com.energy.manage.service.domain.dto.units;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("风机部件字典（属性）删除参数")
public class UnitDictConstantsPDelDto {


    /**
     * 主键编号
     */
    @ApiModelProperty(value = "主键")
    @NotNull(message = "字典名称/属性名称不能为空")
    private Integer id;

    @ApiModelProperty(value = "修改人")
    private Integer updateBy;

}
