package com.energy.manage.service.domain.dto.units;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("")
public class UnitDictRoutineDto {

    /**
     * 字典/属性类型编号,查询部件常用字典集合参数，只需要传contentsType这一个参数
     */
    @ApiModelProperty("字典/属性类型编号,查询部件常用字典集合参数，只需要传contentsType这一个参数")
    @NotNull(message = "部件字典类型编号不能为空")
    private String contentsType;



}
