package com.energy.manage.service.domain.dto.windenginegroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel
public class WindEngineGroupFieldCodeDto {
    /**
     * 风场编号
     */
    @NotNull(message = "风场编号不能为空")
    @ApiModelProperty("风场编号")
    private String fieldCode;


    /**
     * 批次编号
     */
    @NotNull(message = "批次编号不能为空")
    @ApiModelProperty("批次编号")
    private String batchCode;

}
