package com.energy.manage.service.domain.dto.windenginegroup;

import com.energy.manage.service.domain.dto.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 风机分页参数
 */
@Getter
@Setter
@ApiModel
public class WindEngineGroupPageDto extends BaseDto {


    /**
     * 风机名称
     */
    @ApiModelProperty("风机名称")
    private String engineName;

    /**
     * 风场名称
     */
    @ApiModelProperty("风场名称")
    private String fieldName;

    /**
     * 风场code
     */
    @ApiModelProperty("风场code")
    private String fieldCode;


    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;


}
