package com.energy.manage.service.domain.dto.windenginemill;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel
public class WindEngineMillCodeDto {

    /**
     * 机型编号
     */
    @NotNull(message = "机型编号不能为null")
    @ApiModelProperty("机型编号")
    private String millTypeCode;

}

