package com.energy.manage.service.domain.vo.analysis;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/28 13:37
 * @desc
 */
@Data
@Accessors(chain = true)
public class AnalysisDetailVo {

    /**
     * 分析类型编号
     */
    private String analysisTypeCode;

    /**
     * 分析类型名称
     */
    private String analysisTypeName;

    /**
     * 总文件
     */
    private List<AnalysisGeneralFileVo> generalFiles;

    /**
     * 分文件
     */
    private List<AnalysisDiagramRelationVo> diagramRelations;

    /**
     * 富文本类型列表
     */
    private List<AnalysisCommentTypeRelationVo> commentTypeRelations;

    /**
     * 富文本内容列表
     */
    private List<AnalysisCommentDescriptionVo> commentDescriptionVos;

}
