package com.energy.manage.service.domain.vo.anemometertower;


import com.energy.manage.common.po.anemometertower.AnemometerTowerPO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@ApiModel
public class AnemometerTowerVo {


    /**
     * 测风塔编号
     */
    @ApiModelProperty("测风塔编号")
    private String anemometerCode;
    /**
     * 测风塔名称
     */
    @ApiModelProperty("测风塔名称")
    private String anemometerName;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("测风塔高度")
    private List<AnemometerTowerHeightList> list;

    @Getter
    @Setter
    public static class AnemometerTowerHeightList {

        /**
         * 测风塔高度
         */
        @ApiModelProperty("测风塔高度")
        private Double anemometerHeight;


    }
}