package com.energy.manage.service.domain.vo.company;

import com.energy.manage.common.po.company.WindCompanyPO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * 企业信息树树展示
 */
@Getter
@Setter
@ApiModel("企业信息查询")
public class WindCompanyVo  {


    /**
     * 企业编号
     */
    @ApiModelProperty("企业编号")
    private String companyCode;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String companyName;

    /**
     * 省
     */
    @ApiModelProperty("省id")
    private Integer provinceId;

    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;

    /**
     * 市
     */
    @ApiModelProperty("市id")
    private Integer cityId;

    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;

    /**
     * 企业描述
     */
    @ApiModelProperty("企业描述")
    private String described;




}
