package com.energy.manage.service.domain.vo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 导入信息
 */
@Data
public class WindFieldExceVo {
    /**
     * 风场名称
     */
    @ExcelProperty(value = "风场名称", index = 0)
    private String fieldName;

    /**
     * 省id
     */
    private Integer provinceId;
    /**
     * 省
     */
    @ExcelProperty(value = "省", index = 1)
    private String provinceName;

    /**
     * 市id
     */
    private Integer cityId;
    /**
     * 市
     */
    @ExcelProperty(value = "市", index = 2)
    private String cityName;

    /**
     * 区号
     */
    @ExcelProperty(value = "区号", index = 3)
    private String areaCode;

    /**
     * 经度
     */
    @ExcelProperty(value = "经度", index = 4)
    private Double longitude;
    /**
     * 纬度
     */
    @ExcelProperty(value = "纬度", index = 5)
    private Double latitude;
    /**
     * 空气密度
     */
    @ExcelProperty(value = "空气密度", index = 6)
    private Double density;
    /**
     * 海拔高度
     */
    @ExcelProperty(value = "海拔高度", index = 7)
    private Double elevationHeight;


}
