package com.energy.manage.service.domain.vo.powerwordcontract;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 有功功率分页信息
 */
@Getter
@Setter
@ApiModel
public class PowerWordContractPageVo {


    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 机型编号
     */
    @ApiModelProperty("机型编号")
    private String millTypeCode;
    /**
     * 有功功率
     */
    @ApiModelProperty("有功功率")
    private Double activePower;
    /**
     * 有功功率
     */
    @ApiModelProperty("有功功率")
    private Double windSpeed;

}
