package com.energy.manage.service.domain.vo.powerwordcriterion;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@ApiModel
public class PowerWordCriterionPageVo {

    @ApiModelProperty("主键")
    private Integer id;

    /**
     * 机型编号
     */
    @ApiModelProperty("机型编号")
    private String millTypeCode;
    /**
     * 有功功率
     */
    @ApiModelProperty("有功功率")
    private Double activePower;
    /**
     * 风速
     */
    @ApiModelProperty("风速")
    private Double windSpeed;

    /**
     * 空气密度
     */
    @ApiModelProperty("空气密度")
    private Double density;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;

}
