package com.energy.manage.service.domain.vo.system;

import com.energy.manage.common.po.system.SysPermissionPO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author lwz
 * @createTime 2020-08-21 9:40
 * @desc
 */
@Data
@ApiModel("菜单树")
public class PermissionVo extends SysPermissionPO implements Serializable {
  // 1 选中  0 未选中  2 部分选中
  @ApiModelProperty(" 1 选中  0 未选中  2 部分选中")
  private Integer checked = 0;

  @ApiModelProperty("菜单树集合")
  private List<PermissionVo> children;
}
