package com.energy.manage.service.domain.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author lwz
 * @createTime 2020-11-27 16:27
 * @desc
 */
@Getter
@Setter
@ApiModel("用户信息")
public class UserVo implements Serializable {
  @ApiModelProperty("用户id")
  private Long userId;
  /**
   * 登录名
   */
  @ApiModelProperty(value = "登录名")
  private String loginName;
  @ApiModelProperty("用户名字")
  private String userName;
  @ApiModelProperty("用户手机号")
  private String userPhone;
  @ApiModelProperty("角色id")
  private Long roleId;
  @ApiModelProperty("角色名字")
  private String roleName;
}
