package com.energy.manage.service.domain.vo.windexceptioncount;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author chy
 * @date 2024/5/23 17:39
 * @desc
 */
@Data
public class WindExceptionCountVo {

    /**
     * 主键
     */
    private Long id;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 风机编号
     */
    private String engineCode;

    /**
     * 风机名称
     */
    private String engineName;

    /**
     * 分析类型编号
     */
    private String analysisTypeName;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode;

    /**
     * 异常次数
     */
    private Integer errCount;

    /**
     * 处理异常数
     */
    private Integer handleErrCount;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 异常描述
     */
    private String errDesc;
}
