package com.energy.manage.service.domain.vo.windfield;

import com.energy.manage.common.po.windfield.WindFieldPO;
import com.energy.manage.service.domain.vo.anemometertower.AnemometerTowerByFieldVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 风场对象
 */
@Getter
@Setter
@ApiModel
public class WindFieldVo extends WindFieldPO {

    /**
     * 企业name
     */
    @ApiModelProperty("企业name")
    private String companyName;

    @ApiModelProperty("测风塔数据")
    private List<AnemometerTowerByFieldVo> anemometerTowerByFieldVos;

    @ApiModelProperty("风场资源文件集合")
    private List<WindFieldResourceVo> windFieldResourceVos;



}
