package com.energy.manage.service.domain.vo.windfieldbatch;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author chy
 * @date 2024/5/21 17:39
 * @desc
 */
@Data
public class WindFieldBatchVo {

    /**
     * 批次编号
     */
    private String batchCode;

    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 批次状态
     */
    private Integer batchState;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
