package com.energy.manage.service.mappers.chartsdata;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.chartsdata.ChartsDataPo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/8/15 10:09
 * @desc
 */

@Repository
public interface ChartsDataMapper extends MyMapper<ChartsDataPo> {

    List<ChartsDataPo> queryData(@Param("startNum") int startNum, @Param("pageSize") Integer pageSize);

    List<ChartsDataPo> queryDataByTime(@Param("timeStamp") String timeStamp, @Param("pageSize") Integer pageSize);

    Integer selectAllCount();

}
