package com.energy.manage.service.mappers.datatransfertype;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.datatransfer.DataTransferTypePo;
import com.energy.manage.service.domain.vo.datatransfer.DataTransferTypeVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 数据转换类型持久层
 * @author chy
 * @date 2024/5/20 15:06
 * @desc
 */
@Repository
public interface DataTransferTypeMapper extends MyMapper<DataTransferTypePo>{

    /**
     * 查询所有转换类型信息
     * @return
     */
    List<DataTransferTypeVo> selectAllInfo();
}
