package com.energy.manage.service.mappers.detectionpointdic;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.detectionpointdic.DetectionPointDicPo;
import com.energy.manage.service.domain.vo.detectionpointdic.DetectionPointDicVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Set;

@Repository
public interface DetectionPointDicMapper extends MyMapper<DetectionPointDicPo> {

    /**
     * 根据驱动模式查询测点
     * @param driveMode
     * @return
     */
    Set<DetectionPointDicVo> selectByCondition(@Param("driveMode") String driveMode);

}
