package com.energy.manage.service.mappers.dict;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.dict.DictConstantsPO;
import com.energy.manage.service.domain.vo.dict.DictParentVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author tongzw
 * @since 2022-07-04
 */
@Repository
public interface DictConstantsMapper extends MyMapper<DictConstantsPO> {

  void batchSave(@Param("data") List<DictConstantsPO> data);

  void batchUpdate(@Param("data") List<DictConstantsPO> data);

  List<DictParentVo> getDictReachChain(@Param("type") Integer type);

}
