package com.energy.manage.service.mappers.system;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.system.SysRolePermissionPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 角色资源关联表
 *
 * @author sy
 * @date 2021-10-18 13:32:05
 */
@Repository
public interface SysRolePermissionMapper extends MyMapper<SysRolePermissionPO> {

    List<Integer> getRolePermission(@Param("roleId") Integer roleId);

    List<String> getRoleOrganization(@Param("roleId") Integer roleId);

}
