package com.energy.manage.service.mappers.units;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.units.UnitGearboxBearingsPO;
import com.energy.manage.common.po.units.UnitGearboxPO;
import com.energy.manage.common.po.units.UnitGearboxStructurePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UnitGearboxStructureMapper extends MyMapper<UnitGearboxStructurePO> {

    /**
     * 批量更新
     * @param list
     */
    void batchUpdate(@Param("list") List<UnitGearboxStructurePO> list);



}
