package com.energy.manage.service.mappers.windenginemill;


import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.windenginemill.WindEngineMillPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface WindEngineMillMapper extends MyMapper<WindEngineMillPO> {

    Integer selectWindEngineMillCount(@Param("list") List<String> list);

    /**
     * 根据风机编号查询驱动模式
     * @param engineCodes
     * @return
     */
    List<Integer> selectCurvedMotionTypeByEngineCode(@Param("engineCodes") List<String> engineCodes);



}
