package com.energy.manage.service.service.analysis;

import com.energy.manage.service.domain.vo.analysis.AnalysisResultReportTypeVo;
import com.energy.manage.service.domain.vo.analysis.AnalysisResultReportVo;

import java.util.List;

/**
 * @author chy
 * @date 2024/9/20 17:31
 * @desc
 */
public interface AnalysisResultReportService {


    /**
     * 批量添加保存报告
     * @param resultReportVos
     * @return
     */
    int saveReportBatch(List<AnalysisResultReportVo> resultReportVos);


    /**
     * 查询报告类型
     * @return
     */
    List<AnalysisResultReportTypeVo> getRportType();
}
