package com.energy.manage.service.service.powerwordcriterion;

import com.energy.manage.common.base.Page;
import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.powerwordcriterion.PowerWordCriterionDelDto;
import com.energy.manage.service.domain.dto.powerwordcriterion.PowerWordCriterionDto;
import com.energy.manage.service.domain.dto.powerwordcriterion.PowerWordCriterionExcelDto;
import com.energy.manage.service.domain.dto.powerwordcriterion.PowerWordCriterionPageDto;
import com.energy.manage.service.domain.vo.powerwordcriterion.PowerWordCriterionPageVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * 标准功率曲线接口
 */
public interface PowerWordCriterionService {

    /**
     * 同步合同功率,（选择机型编号导入功率曲线）
     *
     * @param file,fieldCode
     * @return
     */
    ResultResp powerWordCriterionImportData(MultipartFile file, PowerWordCriterionExcelDto powerWordCriterionExcelDto);


    /**
     * 功率曲线分页查询
     * @param
     * @return
     */
    Page<PowerWordCriterionPageVo>  powerWordCriterionPage(PowerWordCriterionPageDto powerWordCriterionPageDto);


    /**
     * 删除
     * @param
     * @return
     */
    boolean delpowerWordCriterion(PowerWordCriterionDelDto powerWordCriterionDelDto);


    /**
     * 更新
     * @param powerWordCriterionDto
     * @return
     */
    boolean updatePowerWordCriterion(PowerWordCriterionDto powerWordCriterionDto);

}
