package com.energy.manage.service.service.windfield;

import com.energy.manage.common.po.windfield.WindFieldContractPO;
import com.energy.manage.service.domain.dto.WindFieldContract.WindFieldContractAddDto;
import com.energy.manage.service.domain.dto.WindFieldContract.WindFieldContractDelDto;
import com.energy.manage.service.domain.vo.WindFieldContract.WindFieldContractPageVo;

import java.util.List;

/**
 * 风场合同功率曲线接口
 */
public interface WindFieldContractService {


    /**
     * 新增风场合同功率曲线关系
     * @param WindFieldContractAddDto
     * @return
     */
    WindFieldContractPO addWindFieldContract(WindFieldContractAddDto WindFieldContractAddDto);


    /**
     * 删除合同功率曲线
     * @param windFieldContractDelDto
     * @return
     */
     boolean delWindFieldContract(WindFieldContractDelDto windFieldContractDelDto);


    /**
     * 查询合同功率曲线集合
     * @param fieldCode
     * @return
     */
    List<WindFieldContractPageVo> getWindFieldContract(String  fieldCode);




}
