package com.energy.manage.service.service.windfield;


import com.energy.manage.service.domain.dto.windfield.WindFieldResourceCreateDto;
import com.energy.manage.service.domain.dto.windfield.WindFieldResourceDelDto;
import com.energy.manage.service.domain.vo.windfield.WindFieldResourceVo;

import java.util.List;

/**
 * 风场资源信息接口
 */
public interface WindFieldResourceService {


    /**
     *
     * @param windFieldResourceCreateDto
     * @return
     */
    boolean saveWindFieldResource(WindFieldResourceCreateDto windFieldResourceCreateDto);


    /**
     *
     * @param windFieldResourceDelDto
     * @return
     */
    boolean delWindFieldResource(WindFieldResourceDelDto windFieldResourceDelDto);


    /**
     * 通过风场编号查询资源文件信息集合
     * @param FieldCode
     * @return
     */
    List<WindFieldResourceVo> getWindFieldResourceByFieldCode(String FieldCode);

}
