package com.energy.manage.common.po.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Table;
import java.util.Date;

/**
 * 分析评论类型关联
 * @author chy
 * @date 2024/5/23 12:53
 * @desc
 */
@Table(name = "analysis_comment_type_relation")
@Data
public class AnalysisCommentTypeRelationPo {

    /**
     * 主键
     */
     private Long id;

    /**
     * 批次编号
     */
    private String batchCode;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode;

    /**
     * 评论类型标号
     */
    private String commentTypeCode;

    /**
     * 评论类型名称
     */
    private String commentTypeName;

    /**
     * 是否自定义 0：否 1：是
     */
    private Integer isDefined;

    /**
     * 是否删除 0：否 1：是
     */
    private Integer isDelete;

    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
