package com.energy.manage.common.po.analysis;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

/**
 * @author chy
 * @date 2024/9/20 16:52
 * @desc
 */
@Table(name = "analysis_result_report")
@Data
@Accessors(chain = true)
public class AnalysisResultReportPo {

    /**
     * 主键
     */
    private Long id;

    /**
     * 报表名称
     */
    private String reportName;

    /**
     * 报表类型
     */
    private String reportType;

    /**
     * 报表地址
     */
    private String reportAddr;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

}
