package com.energy.manage.common.po.anemometertower;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * 测风塔基础数据表
 */
@Data
@Table(name = "anemometer_tower_height")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AnemometerTowerHeightPO extends NewBaseDomain {

    /**
     * 测风塔编号
     */
    private String anemometerCode;
    /**
     * 测风塔高度
     */
    private Double anemometerHeight;



}
