package com.energy.manage.common.po.anemometertower;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * 测风塔基础数据表
 */
@Data
@Table(name = "anemometer_tower")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AnemometerTowerPO extends NewBaseDomain {

    /**
     * 测风塔编号
     */
    private String anemometerCode;
    /**
     * 测风塔名称
     */
    private String anemometerName;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 纬度
     */
    private Double latitude;
    /**
     * 状态
     */
    private Integer state;
    /**
     * 删除状态
     */
    private Integer delState;


}
