package com.energy.manage.common.po.anemometertower;


import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 测风塔数据表
 */
@Data
@Table(name = "anemometer_tower_relation")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AnemometerTowerRelationPO extends NewBaseDomain {

    /**
     * 测风塔编号
     */
    private String towerCode;
    /**
     * 风场编号
     */
    private String fieldCode;


}
