package com.energy.manage.common.po.system;


import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Table(name = "sys_organization_auth")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysOrganizationAuthPO extends NewBaseDomain {

    /**
     * 角色编号
     */
    private Integer roleId;
    /**
     * 组织编号
     */
    private String codeNumber;

    /**
     * 组织类型
     */
    private String codeType;


}
