package com.energy.manage.common.po.system;

import com.energy.manage.common.base.NewBaseDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;


/**
 * 角色表
 *
 * @author sy
 * @date 2021-10-18 13:10:51
 */
@Table(name = "sys_role")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysRolePO extends NewBaseDomain {


    /**
     * 角色描述
     */
    @ApiModelProperty("角色描述")
    private String roleDescription;

    /**
     * 角色code
     */
    @ApiModelProperty("角色code")
    private String roleCode;

    /**
     * 角色类型
     */
    @ApiModelProperty("角色类型")
    private Integer roleType;

    /**
     * 是否可用
     */
    @ApiModelProperty("是否可用")
    private Integer roleAvailable;

    /**
     * 来源
     */
    @ApiModelProperty("来源0系统1自定义")
    private Integer source;

}
