package com.energy.manage.common.po.system;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;


/**
 * 角色资源关联表
 *
 * @author sy
 * @date 2021-10-18 13:10:52
 */
@Table(name = "sys_role_permission")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysRolePermissionPO  {


    /**
     * 角色表主键id
     */
    private Integer roleId;

    /**
     * 资源表主键id
     */
    private Integer permissionId;
}
