package com.energy.manage.common.po.system;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;


/**
 * 后台用户表
 *
 * @author sy
 * @date 2021-10-18 13:10:52
 */
@Table(name = "sys_user_info")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUserInfoPO extends NewBaseDomain {

    /**
     * 登录名
     */
    private String loginName;
    /**
     * 用户名称
     */
    private String userName;

    /**
     * 电话
     */
    private String userPhone;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 0：禁用，1：可用
     */
    private Integer state;


}
