package com.energy.manage.common.po.system;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Table(name = "system_user")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SystemUserPO extends NewBaseDomain {

    private String name;

    private Integer gender;

    private String phone;

    private String password;

    private String avatar;

    private Integer workNature;

    private Integer skilledSubject;

    private String personalProfile;

    private String position;

    private Integer stationId;

    private String dtUnionId;

    private String dtDeptName;

    private String dtDeptId;

    private String dtUserId;

    private Integer state;

}
