package com.energy.manage.common.po.windexceptioncount;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Table;
import java.util.Date;

/**
 * 分析异常数据
 * @author chy
 * @date 2024/5/23 17:33
 * @desc
 */
@Table(name = "wind_exception_count")
@Data
public class WindExceptionCountPo {

    /**
     * 主键
     */
    private Long id ;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 风机编号
     */
    private String engineCode ;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode ;

    /**
     * 异常数目
     */
    private Integer errCount ;

    /**
     * 处理异常数
     */
    private Integer handleErrCount ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;

    /**
     * 更新人
     */
    private Integer updateBy ;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime ;

    /**
     * 异常描述
     */
    private String errDesc;
}
