package com.energy.manage.common.po.windfieldbatch;

import lombok.Data;

import javax.persistence.Table;
import java.util.Date;

/**
 * 批次信息
 * @author chy
 * @date 2024/5/21 10:53
 * @desc
 */
@Table(name = "wind_engine_batch")
@Data
public class WindFieldBatchPo {

    /**
     *  主键
     */
    private Integer id ;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 批次名称
     */
    private String batchName ;

    /**
     * 风场编号
     */
    private String fieldCode ;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 批次状态 1：启用 0：停用
     */
    private Integer batchState ;

    /**
     * 是否删除 0：否  1：是
     */
    private Integer isDelete;

    /**
     * 创建人
     */
    private String createBy ;

    /**
     * 创建时间
     */
    private Date createTime ;

    /**
     * 更新人
     */
    private String updateBy ;

    /**
     * 更新时间
     */
    private Date updateTime ;
}
