package com.energy.manage.common.po.windrelation;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

@Data
@Table(name = "wind_relation")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindRelationPO extends NewBaseDomain {

    /**
     * 对象编号
     */
    private String codeNumber;
    /**
     * 编号名称
     */
    private String codeName;
    /**
     * 父级编号
     */
    private String parentCode;
    /**
     * 类型
     */
    private String type;



}
