package com.energy.manage.service.client.skf;

import com.dtflys.forest.annotation.Body;
import com.dtflys.forest.annotation.Post;
import com.energy.manage.service.constant.client.skf.SkfClientConstants;
import com.energy.manage.service.domain.client.skf.AutoTokenVO;

public interface AuthClient {

    /**
     * 获取skf token，有效期两小时
     * @return
     */
    @Post(
            url = SkfClientConstants.SKF_REQUEST_PATH + SkfClientConstants.SKF_TOKEN_PATH,
            contentType = "application/x-www-form-urlencoded"
    )
    AutoTokenVO getSkfToken(@Body("grant_type")String grantType,@Body("username")String username,@Body("password")String password);






}
