package com.energy.manage.service.controller.wavedic;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.service.wavedic.WaveDicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author chy
 * @date 2024/11/21 09:24
 * @desc
 */
@RestController
@RequestMapping("/waveDic")
public class WaveDicController extends BaseServiceController {

    @Autowired
    private WaveDicService waveDicService;

    /**
     * 查询测点字典
     * @param engineCodes
     * @return
     */
    @GetMapping("/queryDetectionDic")
    public ResultResp queryWaveDic(@RequestParam List<String> engineCodes){
        return success(waveDicService.queryWaveDic(engineCodes));
    }
}
