package com.energy.manage.service.domain.dto.analysis;

import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author chy
 * @date 2024/8/15 09:19
 * @desc
 */
@Data
@Accessors(chain = true)
public class PlotlyDataItem {

    /**
     * 风机编号
     */
    private String engineCode;

    /**
     * 风机名称
     */
    private String engineName;

    /**
     * x轴数据
     */
    private List<Double> xData =  new ArrayList<>();

    /**
     * y轴数据
     */
    private List<Double> yData  =  new ArrayList<>();

    /**
     * z轴数据
     */
    private List<Double> zData  =  new ArrayList<>();

}
