package com.energy.manage.service.domain.dto.analysisalgorithm;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/30 14:02
 * @desc
 */
@Data
@Accessors(chain = true)
public class DataFilterDto {

    /**
     * 风场
     */
    private String powerFarmID;

    /**
     * 风机编号
     */
    private List<String> turbines;

    /**
     * 批次号
     */
    private String dataBatchNum;

    /**
     * 开始时间 格式（2024-01-01 00:00:00）
     */
    private String beginTime;

    /**
     * 结束时间 格式（2024-01-01 00:00:00）
     */
    private String endTime;

    /**
     * 过滤月份 格式（2024-01）
     */
    private List<String> excludingMonths;

    /**
     * 用户过滤
     */
    private CustomFilterDto customFilter;
}
