package com.energy.manage.service.domain.dto.analysisalgorithm;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 数据
 * @author chy
 * @date 2024/5/30 14:00
 * @desc
 */
@Data
@Accessors(chain = true)
public class DataSourceDto {

    /**
     * scada数据
     * 枚举值：minute、second、all，
     * minute 用于人工分析场景，指定分析类型使用scada分钟级数据；
     * seconde 用于人工分析场景，指定分析类型使用scada秒级数据；
     * all 用于自动分析场景，分析类型按自身设计使用scada数据进行分析
     */
    private String scada;

}
