package com.energy.manage.service.domain.dto.analysisalgorithm;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 图形设置
 * @author chy
 * @date 2024/5/30 14:21
 * @desc
 */
@Data
@Accessors(chain = true)
public class GraphSetsDto {

    /**
     * 发电机转速
     */
    private GraphSetsItemDto generatorSpeed;

    /**
     * 发电机转矩
     */
    private GraphSetsItemDto generatorTorque;

    /**
     * 利用系数
     */
    private GraphSetsItemDto cp;

    /**
     * 叶尖速比
     */
    private GraphSetsItemDto tsr;

    /**
     * 桨距角
     */
    private GraphSetsItemDto pitchAngle;

    /**
     * 有功功率
     */
    private GraphSetsItemDto activePower;


}
