package com.energy.manage.service.domain.dto.anemometertower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 修改测风塔状态
 */
@Getter
@Setter
@ApiModel("修改测风塔状态")
public class AnemometerTowerStateDto {

    /**
     * 测风塔编号
     */
    @NotNull(message = "测风塔编号不能null")
    @ApiModelProperty("测风塔编号")
    private String anemometerCode;


    /**
     *
     */
    @ApiModelProperty("状态")
    private Integer state;


}
