package com.energy.manage.service.domain.dto.company;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 自定义排序
 */
@Getter
@Setter
public class WindCompanyCustomDto {


    @ApiModelProperty("企业编号")
    private List<WindCompanyUpdateSort> windCompanyUpdateSortList;


    /**
     * 主键id
     */
    @ApiModelProperty("企业编号")
    private Integer id;

    /**
     * 父类编号，最新父id
     */
    @ApiModelProperty("父类编号，最新父id")
    private Integer parentId;

    /**
     * 排序
     */
    private Integer sort;


    @Getter
    @Setter
    public static class WindCompanyUpdateSort {


        /**
         * 主键id
         */
        @ApiModelProperty("主键id")
        private Integer id;

        /**
         * 父类编号，最新父id
         */
        @ApiModelProperty("父类编号，最新父id")
        private Integer parentId;

        /**
         * 排序（父类排序和子类排序）
         */
        @ApiModelProperty("排序（父类排序和子类排序）")
        private Integer sort;


    }


}
