package com.energy.manage.service.domain.dto.company;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("修改企业信息状态")
public class WindCompanyStateDto {

    @NotNull(message ="企业编号不能为空")
    @ApiModelProperty("企业编号")
    private String companyCode;

    @NotNull(message ="状态不能为空")
    @ApiModelProperty("状态")
    private Integer state;

}
