package com.energy.manage.service.domain.dto.company;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("修改企业信息")
public class WindCompanyUpdateDto {

    @NotNull(message ="企业编号不能为空")
    @ApiModelProperty("企业编号")
    private String  companyCode;
    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String companyName;

    /**
     * 省
     */
    @ApiModelProperty("省")
    private Integer provinceId;

    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;

    /**
     * 市
     */
    @ApiModelProperty("市")
    private Integer cityId;

    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;
    /**
     * 企业描述
     */
    @ApiModelProperty("企业描述")
    private String described;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;


}
