package com.energy.manage.service.domain.dto.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *
 */
@Getter
@Setter
@ApiModel
public class PermissionDto {

    @ApiModelProperty(value = "父id")
    private Integer parentId = 0;
    @ApiModelProperty(value = "名称")
    private String pname;
    @ApiModelProperty(value = "code")
    private String pcode;
    @ApiModelProperty(value = "链接")
    private String purl;
    @ApiModelProperty(value = "图标地址")
    private String piconUrl;
    @ApiModelProperty(value = "状态 资源状态 0 不可用 1是正常")
    private Integer pstat = 1;
    @ApiModelProperty(value = "类型 资源类型(1 位菜单 2 为功能)")
    private Integer ptype = 1;
    @ApiModelProperty(value = "权限id")
    private Integer psort = 100000;
    @ApiModelProperty("是否显示1-显示，2-不显示")
    private Integer permissionShow;


}
