package com.energy.manage.service.domain.dto.units;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("风机部件（字典/属性）更新参数")
public class UnitDictConstantsUpdateDto {

    // 主键id
    @ApiModelProperty("主键id")
    @NotNull(message = "主键id不能为空")
    private Integer id;

    // 字典名称/属性名称
    @ApiModelProperty("字典名称/属性名称")
    @NotNull(message = "字典名称/属性名称不能为空")
    private String contentsName;

    @ApiModelProperty(value = "修改人")
    private Integer updateBy;


}
