package com.energy.manage.service.domain.dto.windenginegroup;

import com.energy.manage.service.domain.dto.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 风机分页参数
 */
@Data
@ApiModel("风机参数")
public class WindEngineGroupCodeDto {


    /**
     * 风机编号
     */
    @ApiModelProperty("风机编号")
    @NotNull(message = "风机编号不能为空")
    private String engineCode;










}
