package com.energy.manage.service.domain.dto.windenginemill;

import com.energy.manage.service.domain.dto.BaseDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 机型分页参数
 */
@Getter
@Setter
public class WindEngineMillPageDto extends BaseDto {

    @ApiModelProperty("机型型号")
    private String machineTypeCode;

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

}
