package com.energy.manage.service.domain.dto.windexceptioncount;

import com.energy.manage.service.domain.dto.BaseDto;
import lombok.Data;

/**
 * @author chy
 * @date 2024/5/23 17:39
 * @desc
 */
@Data
public class WindExceptionCountDto extends BaseDto {

    /**
     * 主键
     */
    private Long id;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 风机编号
     */
    private String engineCode;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode;

    /**
     * 异常次数
     */
    private Integer errCount;

    /**
     * 处理异常数
     */
    private Integer handleErrCount;

    /**
     * 是否删除 0：否 1：是
     */
    private Integer isDelete;

    /**
     * 创建人 （前端不传 后端设置）
     */
    private Integer createBy;

    /**
     * 更新人
     */
    private Integer updateBy;

    /**
     * 异常描述
     */
    private String errDesc;
}
