package com.energy.manage.service.domain.dto.windfield;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 修改状态
 */
@Data
public class WindFieldUpdateStateDto {


    @ApiModelProperty("编号")
    @NotNull(message = "编号不能为null")
    private String fieldCode;

    @NotNull(message = "状态不能为null")
    @ApiModelProperty("状态")
    private Integer state;


}
