package com.energy.manage.service.domain.vo.WindFieldContract;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class WindFieldContractPageVo {

    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 风场code
     */
    @ApiModelProperty(value = "风场code")
    private String fieldCode;

    /**
     * 机型code
     */
    private String millTypeCode;


    @ApiModelProperty(value = "机型名称")
    private String machineTypeCode;

    /**
     * 资源地址
     */
    @ApiModelProperty(value = "资源地址")
    private String contractSource;


    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    @ApiModelProperty(value = "修改人")
    private Integer updateBy;


}
