package com.energy.manage.service.domain.vo.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Table;
import java.util.Date;

/**
 * 分析结果总图表
 * @author chy
 * @date 2024/5/23 12:55
 * @desc
 */
@Data
public class AnalysisGeneralFileVo {


    /**
     * 批次号
     */
    private String batchCode ;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode ;

    /**
     * 分析类型名称
     */
    private String analysisTypeName ;

    /**
     * 总文件地址minIO
     */
    private String fileAddr ;

    /**
     * 是否自动分析 0:手动 1自动
     */
    private Integer autoAnalysis ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;
}
