package com.energy.manage.service.domain.vo.anemometertower;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *  风场查询对应测风塔
 */
@Getter
@Setter
@ApiModel
public class AnemometerTowerByFieldVo {


    /**
     * 测风塔编号
     */
    @ApiModelProperty("测风塔编号")
    private String anemometerCode;
    /**
     * 测风塔名称
     */
    @ApiModelProperty("测风塔名称")
    private String anemometerName;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    /**
     * 测风塔高度集合字符串
     */
    @ApiModelProperty("测风塔高度集合字符串")
    private String anemometerHeightStrings;

    @ApiModelProperty("经纬度拼接")
    private String longitudeAndLatitudeString;





}
