package com.energy.manage.service.domain.vo.anemometertower;


import com.energy.manage.common.po.anemometertower.AnemometerTowerPO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ApiModel
public class AnemometerTowerPageVo  {


    /**
     * 测风塔编号
     */
    @ApiModelProperty("测风塔编号")
    private String anemometerCode;
    /**
     * 测风塔名称
     */
    @ApiModelProperty("测风塔名称")
    private String anemometerName;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date createTime;

    /**
     * 风场数量
     */
    @ApiModelProperty("风场数量")
    private Integer fieldNumber = 0;


}
