package com.energy.manage.service.domain.vo.company;

import com.energy.manage.common.po.company.WindCompanyPO;
import com.energy.manage.common.po.system.SysPermissionPO;
import com.energy.manage.service.domain.vo.system.PermissionVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * 企业信息树树展示
 */
@Getter
@Setter
@ApiModel
public class WindCompanyPageVo extends WindCompanyPO implements Serializable {


    @ApiModelProperty("编号")
    private String codeNumber;


    @ApiModelProperty("名称")
    private String codeName;

    @ApiModelProperty("父编号")
    private String parentCode;
    /**
     * 风场数量
     */
    @ApiModelProperty("风场数量")
    private Integer fieldCount;

    /**
     * 风机数量
     */
    @ApiModelProperty("风机数量")
    private Integer engineNumber;

    /**
     * 子集合
     */
    @ApiModelProperty("子集合")
    private List<WindCompanyPageVo> children;


}
