package com.energy.manage.service.domain.vo.datatransfer;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author chy
 * @date 2024/7/16 14:44
 * @desc
 */
@Data
@Accessors(chain = true)
public class DataTransferDataTimeVo {

    /**
     * 数据最小时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataMinTime;

    /**
     * 数据最大时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataMaxTime;
}
