package com.energy.manage.service.domain.vo.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 风机导入信息
 */
@Data
public class WindEngineGroupExcelVo {


    /**
     * 机型编号(收资的)
     */
    @ExcelProperty(value = "风机机型", index = 0)
    private String machineTypeCode;

    /**
     * 系统机型编号
     */
    private String millTypeCode;
    /**
     * 风机名称
     */
    @ExcelProperty(value = "风机编号", index = 1)
    private String engineName;

    /**
     * 轮毂高度
     */
    @ExcelProperty(value = "轮毂高度", index = 2)
    private String hubHeight;
    /**
     * 海拔高度
     */
    @ExcelProperty(value = "海拔高度", index = 3)
    private String elevationHeight;
    /**
     * 额定容量
     */
    @ExcelProperty(value = "额定容量", index = 4)
    private String ratedCapacity;
    /**
     * 经度
     */
    @ExcelProperty(value = "经度", index = 5)
    private String longitude;
    /**
     * 维度
     */
    @ExcelProperty(value = "维度", index = 6)
    private String latitude;

    /**
     * 额定风速 （m/s）
     */
    @ExcelProperty(value = "维度", index = 7)
    private Double rated_wind_speed;
    /**
     * 切入风速 （m/s）
     */
    @ExcelProperty(value = "维度", index = 8)
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    @ExcelProperty(value = "维度", index = 9)
    private Double ratedCutOutWindspeed;
    /**
     * 是否标杆风机
     */
    @ExcelProperty(value = "是否标杆风机", index = 10)
    private String sightcingString;


}
