package com.energy.manage.service.domain.vo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 机型导入
 */
@Data
public class WindEngineMillExcelVo {

    /**
     * 机型编号
     */
    @ExcelProperty(value = "机型编号", index = 1)
    private String machineTypeCode;
    /**
     * 机型名称
     */
    @ExcelProperty(value = "机型名称", index = 2)
    private String machineTypeName;
    /**
     * 厂商名称
     */
    @ExcelProperty(value = "厂商名称", index = 3)
    private String manufacturerName;
    /**
     * 厂商编号
     */
    @ExcelProperty(value = "厂商编号", index = 4)
    private String manufacturerCode;
    /**
     * 品牌
     */
    @ExcelProperty(value = "品牌", index = 5)
    private String brand;
    /**
     * 机型类型
     */
    @ExcelProperty(value = "机型类型", index = 6)
    private Integer type;
    /**
     * 塔筒高度
     */
    @ExcelProperty(value = "塔筒高度", index = 7)
    private String towerHeight;
    /**
     * 叶片长度
     */
    @ExcelProperty(value = "叶片长度", index = 8)
    private String vaneLong;



}
