package com.energy.manage.service.domain.vo.homepage;

import com.energy.manage.service.domain.vo.windexceptioncount.WindExceptionCountVo;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chy
 * @date 2024/6/13 15:10
 * @desc
 */
@Data
@Accessors(chain = true)
public class HomePageVo {

    /**
     * 已分析
     */
    private Integer analysisedCount = 0;

    /**
     * 分析中
     */
    private Integer analysisingCount = 0;

    /**
     * 未分析
     */
    private Integer noAnalysisCount = 0;

    /**
     * 异常总数
     */
    private Integer errCounrt = 0;

    /**
     * 本月异常数
     */
    private Integer errCountInCurrentMonth = 0;

    /**
     * 未处理异常数
     */
    private Integer errCountNotDeal = 0;

    /**
     * 异常设备数
     */
    private Integer errDeviceCount = 0;

    /**
     * 异常信息
     */
    private List<WindExceptionCountVo> errList;


    /**
     * 分析完成+1
     */
    public void analysisedCountAdd(){
         analysisedCount++;
    }

    /**
     * 分析中+1
     */
    public void analysisingCountAdd(){
          analysisingCount++;
    }
}
