package com.energy.manage.service.domain.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author lwz
 * @createTime 2020-08-20 18:03
 * @desc
 */
@Data
@ApiModel("显示用户角色")
public class UserRoleVo implements Serializable {
  @ApiModelProperty("用户id")
  private Long userId;
  @ApiModelProperty("角色id")
  private Long roleId;
  @ApiModelProperty("用户名字")
  private String userName;
  /**
   * 登录名
   */
  @ApiModelProperty(value = "登录名")
  private String loginName;
  @ApiModelProperty("角色名字")
  private String roleName;
  @ApiModelProperty("用户手机号")
  private String userPhone;
  @ApiModelProperty("状态")
  private Integer state;

}
