package com.energy.manage.service.domain.vo.windfield;

import com.energy.manage.common.po.windfield.WindFieldPO;
import com.energy.manage.service.domain.vo.anemometertower.AnemometerTowerByFieldVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 风场对象
 */
@Getter
@Setter
@ApiModel
public class WindFieldResourceVo {

    @ApiModelProperty("资源id")
    private Integer id;

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 上传文件名称
     */
    @ApiModelProperty("上传文件名称")
    private String fileName;
    /**
     * 上传类型
     */
    @ApiModelProperty("上传类型")
    private String type;
    /**
     * 上传文件地址
     */
    @ApiModelProperty("上传文件地址")
    private String resourceUrl;

}
