package com.energy.manage.service.mappers.anemometertower;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.anemometertower.AnemometerTowerPO;
import com.energy.manage.service.domain.dto.anemometertower.AnemometerTowerPageDto;
import com.energy.manage.service.domain.vo.anemometertower.AnemometerTowerByFieldVo;
import com.energy.manage.service.domain.vo.anemometertower.AnemometerTowerPageVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 测风塔基础数据mapper
 * @author generate-code
 * @date 2020-07-29 11:28:12
 */
@Repository
public interface AnemometerTowerMapper extends MyMapper<AnemometerTowerPO> {


    List<AnemometerTowerPageVo> selectAnemometerTowerPage(@Param("item") AnemometerTowerPageDto anemometerTowerPageDto);

    List<AnemometerTowerByFieldVo> selectAnemometerTowerByfieldCode(@Param("fieldCode")String fieldCode);

}
