package com.energy.manage.service.mappers.company;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.company.WindCompanyPO;
import com.energy.manage.common.po.system.SysPermissionPO;
import com.energy.manage.service.domain.dto.company.WindCompanyCustomDto;
import com.energy.manage.service.domain.vo.company.WindCompanyPageVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 企业信息树
 */
@Repository
public interface WindCompanyMapper extends MyMapper<WindCompanyPO> {

    /**
     * 查询全部项目公司
     * @return
     */
    List<WindCompanyPageVo> getAllWindCompany();

    /**
     *
     * @param list
     * @return
     */
    int updateWindCompanySort(@Param("list")List<WindCompanyCustomDto.WindCompanyUpdateSort> list);

}
