package com.energy.manage.service.mappers.system;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.system.SysUserRolePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 用户角色表
 *
 * @author sy
 * @date 2021-10-18 13:32:05
 */
@Repository
public interface SysUserRoleMapper extends MyMapper<SysUserRolePO> {

    int updateUserRole(@Param("userId") Integer userId,
                       @Param("roleId") Integer roleId);

    Integer selectRoleIdByUserId(Integer adminId);
}
