package com.energy.manage.service.mappers.units;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.units.UnitDictBrandModelPO;
import com.energy.manage.common.po.units.UnitDictConstantsPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UnitDictBrandModelMapper extends MyMapper<UnitDictBrandModelPO> {

    /**
     * 查询品牌
     * @param unitType
     * @return
     */
    List<String> selectUnitManufactureByUnitType(@Param("unitType")Integer unitType);

    /**
     * 查询品牌对应型号
     * @param unitType
     * @param manufacture
     * @return
     */
    List<String> selectUnitModelNumberByManufacture(@Param("unitType")Integer unitType,
                                                    @Param("manufacture")String manufacture);



}
