package com.energy.manage.service.mappers.wavedatatransfer;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.wavedatatransfer.WaveDataTransferPo;
import com.energy.manage.service.domain.dto.wavedatatransfer.WaveDataTransferDto;
import com.energy.manage.service.domain.vo.wavedatatransfer.WaveDataTransferVo;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WaveDataTransferMapper extends MyMapper<WaveDataTransferPo> {


    List<WaveDataTransferVo> selectByCondition(WaveDataTransferDto waveDataTransferDto);


    Integer selectCountByCondition(WaveDataTransferDto datatransferDto);


    int update(WaveDataTransferPo record);

}
