package com.energy.manage.service.test;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author chy
 * @date 2024/6/26 10:45
 * @desc
 */
@Component
@RefreshScope
@Data
@Accessors(chain = true)
public class TestProperties {


    public static String downloadUrl;


    @Value("${test.download.url:123}")
    private void setDownloadUrl(String downloadUrl){
        TestProperties.downloadUrl = downloadUrl;
    }

}
